******************************************
*** RATING EVOLUTION - Tables 9 and 10
******************************************

* open file rating_data.dta

global varlist1 "ratg_num num_downgr num_notches_changes_year rat_change days_in_rating"
makematrix, from(r(mu_1) r(sd_1) r(N_1) r(mu_2) r(sd_2) r(N_2) r(t) r(p)) format(%4.3f) label: ttest $varlist1 if def_next_year_gen==1, unequal by(cds)
bysort cds: centile $varlist1 if def_next_year_gen==1 

makematrix, from(r(mu_1) r(sd_1) r(N_1) r(mu_2) r(sd_2) r(N_2) r(t) r(p)) format(%4.3f) label: ttest $varlist1 if (def_next_year_gen==1 & (cds_liq_flag==1 | cds==0)), unequal by(cds)
bysort cds: centile $varlist1 if (def_next_year_gen==1 & (cds_liq_flag==1 | cds==0))

probit  def_next_year_gen ratg_num rat_change ln_days num_downgr cds cds_liq_flag d2006 d2007 d2008 d2009, vce(cluster mast_issr_num)

* open file rating_matched.dta

probit def_next_year_gen rat_change ln_days num_downgr new_lev new_ebta log_TA bk_td cds cds_liq_flag d2006 d2007 d2008 d2009, vce(cluster mast_issr_num)
